#ifndef receiver_h
#define receiver_h

#include <Arduino.h>

// decoding three receiver channels on ATtiny85 pins 5,6,7 (PB0 - PB2) - ceptimus 2019-02-03
class receiver {
  public:
    static uint8_t prev; // remembers state of input bits from previous interrupt
    static uint32_t risingEdge[3]; // time of last rising edge for each channel
    static volatile uint32_t uSec[3]; // the latest measured pulse width for each channel
    
    static void start(void); // call from setup() to initalise 
    static uint16_t channel(uint8_t n); // return uS for channel[n]. n is channel 0 to 2
    static bool active(uint8_t n); // return true if channel[n] is receiving pulses from receiver, false if not 
};
#endif
